Xalan-Java 2.7.1: Class FuncFormatNumb

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class FuncFormatNumb

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.functions.Function
                  |
                  +--org.apache.xpath.functions.FunctionOneArg
                        |
                        +--org.apache.xpath.functions.Function2Args
                              |
                              +--org.apache.xpath.functions.Function3Args
                                    |
                                    +--org.apache.xalan.templates.FuncFormatNumb

public class FuncFormatNumb
extends Function3Args

Execute the FormatNumber() function.

See Also:
  Serialized Form
Usage:
  **For advanced use only**

Constructor Summary
`FuncFormatNumb()`

Method Summary
`void` | `checkNumberArgs(int argNum)` Overide the superclass method to allow one or two arguments.
`XObject` | `execute(XPathContext xctxt)` Execute the function.
`void` | `warn(XPathContext xctxt, java.lang.String msg, java.lang.Object[] args)` Warn the user of a problem.

Methods inherited from class org.apache.xpath.functions.Function3Args
`callArgVisitors, canTraverseOutsideSubtree, deepEquals, fixupVariables, getArg2, setArg`

Methods inherited from class org.apache.xpath.functions.Function2Args
`getArg1`

Methods inherited from class org.apache.xpath.functions.FunctionOneArg
`getArg0, getExpression, setExpression`

Methods inherited from class org.apache.xpath.functions.Function
`callVisitors, postCompileStep`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncFormatNumb

    public FuncFormatNumb()

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws TransformerException

  Execute the function. The function must return a valid object.
  Parameters:
    `xctxt` - The current execution context.
  Returns:
    A valid XObject.
  Throws:
    TransformerException -
  Overrides:
    execute in class Function

### warn

    public void warn(XPathContext xctxt,
                     java.lang.String msg,
                     java.lang.Object[] args)
              throws TransformerException

  Warn the user of a problem.
  Parameters:
    `xctxt` - The XPath runtime state.
    `msg` - Warning message key
    `args` - Arguments to be used in warning message
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
    TransformerException -
  Overrides:
    warn in class Expression

### checkNumberArgs

    public void checkNumberArgs(int argNum)
                         throws WrongNumberArgsException

  Overide the superclass method to allow one or two arguments.
  Parameters:
    `argNum` - Number of arguments passed in
  Throws:
    WrongNumberArgsException -
  Overrides:
    checkNumberArgs in class Function3Args

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.